Bug 180624 - Php and Postgresql can not communicate
Php and Postgresql can not communicate
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-09 10:51 EST by Smela Csaba
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 09:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Smela Csaba 2006-02-09 10:51:40 EST
Description of problem:

1. Installed Apache2 and php with postgresql module. Phpinfo() confirms that
pgsql  is loaded.

2. Installed Postgresql. Changed conf file that it accept connections on both
UNIX socket and  TCP/IP.

3. Can connect Postgresql locally with psql. Remote clients over TCP/IP also
works well.

4. Trying to connect from php results: Warning: pg_connect()
[function.pg-connect]: Unable to connect to PostgreSQL server: could not connect
to server: Permission denied Is the server running locally and accepting
connections on Unix domain socket "/tmp/.s.PGSQL.5432"?

Yes server runs locally and accepts connections on UNIX sockets. (psql).
Comment 1 Rahul Sundaram 2006-02-20 05:51:11 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Smela Csaba 2006-02-21 09:16:08 EST
I can confirm that FC5 test3 corrects the problem and works just fine.
Comment 3 Rahul Sundaram 2006-02-21 09:36:31 EST
(In reply to comment #2)
> I can confirm that FC5 test3 corrects the problem and works just fine.
> Thanks

Thank you for the confirmation. Closing bug report

Note You need to log in before you can comment on or make changes to this bug.